function [spektrogramy] = speGram(a,xIpl,yIpl,zIpl,fVz,velOkno,velPrekryv)
%        speGram - funkce, která vypočítá a zobrazí spektrogramy vstupních
%                  signálů
%              a - signál výsledného zrychlení (vypočtené ze zrychlení v
%                  osách)
% xIpl,yIpl,zIpl - signály zrychlení v osách X,Y,Z
%            fVz - vzorkovací frekvence
%        casNovy - čas odpovídající signálům
%   spektrogramy - matice spektrogramů čtyř vstupních signálů

%% Výpočet spektrogramů celkového zrychlení i signálů jednotlivých os:
n = length(a);
okno = round(n*velOkno);
prekryv = round(n*velPrekryv);

speGramA = abs(spectrogram(a,okno,prekryv)).^2;
speGramX = abs(spectrogram(xIpl,okno,prekryv)).^2;
speGramY = abs(spectrogram(yIpl,okno,prekryv)).^2;
speGramZ = abs(spectrogram(zIpl,okno,prekryv)).^2;

%% Uložení na výstup funkce:
spektrogramy = [];
spektrogramy(:,:,1) = speGramA;
spektrogramy(:,:,2) = speGramX;
spektrogramy(:,:,3) = speGramY;
spektrogramy(:,:,4) = speGramZ;

%% Vykreslení spektrogramů (bez umocnění a absolutní hodnoty):
%figure
figure('Position', [0 0 1000 750])
subplot 411
spectrogram(a,okno,prekryv,[],fVz,'yaxis')
title('Spektrogram pro výsledné zrychlení')
xlabel('Čas [s]')
ylabel('Frekvence [Hz]')

subplot 412
spectrogram(xIpl,okno,prekryv,[],fVz,'yaxis')
title('Spektrogram pro zrychlení v ose X')
xlabel('Čas [s]')
ylabel('Frekvence [Hz]')

subplot 413
spectrogram(yIpl,okno,prekryv,[],fVz,'yaxis')
title('Spektrogram pro zrychlení v ose Y')
xlabel('Čas [s]')
ylabel('Frekvence [Hz]')

subplot 414
spectrogram(zIpl,okno,prekryv,[],fVz,'yaxis')
title('Spektrogram pro zrychlení v ose Z')
xlabel('Čas [s]')
ylabel('Frekvence [Hz]')

end